### Method

# Gtk TextView set_gutter

#### Declaration [src]

    void
    gtk_text_view_set_gutter (
      GtkTextView* text_view,
      GtkTextWindowType win,
      GtkWidget* widget
    )

#### Description [src]

Places `widget` into the gutter specified by `win`.

`win` must be one of `GTK_TEXT_WINDOW_LEFT`, `GTK_TEXT_WINDOW_RIGHT`, `GTK_TEXT_WINDOW_TOP`, or `GTK_TEXT_WINDOW_BOTTOM`.

#### Parameters

`win`

  Type: `GtkTextWindowType`

  A `GtkTextWindowType`.

`widget`

  Type: `GtkWidget`

  A `GtkWidget`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.